=== debian/changelog ===
chocolate-doom (3.0.1+really3.0.0+git1017-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Use secure URI in Homepage field.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Update standards version to 4.5.0, no changes needed.

  [ Fabian Greffrath ]
  * Recommend freedoom instead of freedm.
  * New upstream GIT snapshot 3.0.1+really3.0.0+git1017, which is
    1017(!) commits ahead of the 3.0.0 release, including the 2 fixes
    from the 3.0.1 release branch.
  * Fix debian/watch file.
  * Remove all patches, applied upstream.
  * Do not remove textscreen font headers in the clean rule anymore
    and remove *.metainfo.xml instead of *.appdata.xml.
  * Do not install files manually anymore, let the upstream install
    rule take care of this.
  * Remove now unnecessary
    package-contains-upstream-install-documentation lintian overrides.
  * Bump Standards-Version to 4.5.1.
  * Bump debhelper-compat to 13.
  * Bump "Build-Depends: libsdl2-dev" to (>= 2.0.7) and
    "Build-Depends: libsdl2-mixer-dev" to (>= 2.0.2) as required by
    the build system.
  * Remove preinst script that handled the transition from 2.1.0-2
    (pre-oldstable).
  * Update debian/copyright for some win32-specific auxiliary files.
  * Remove explicit "--as-needed" linker flag.
  * Add lintian overrides for uninstalled examples of the utility
    libraries.

 -- Fabian Greffrath <fabian@debian.org>  Fri, 20 Aug 2021 09:02:56 +0200
