=== debian/watch ===
version=4
https://github.com/@PACKAGE@/@PACKAGE@/releases \
https://github.com/@PACKAGE@/@PACKAGE@/archive/refs/tags/@PACKAGE@-@ANY_VERSION@@ARCHIVE_EXT@
