=== debian/changelog ===
chocolate-doom (3.0.1+really3.0.0+git1208-1) unstable; urgency=medium

  * New upstream version 3.0.1+really3.0.0+git1208.
  * Try harder to shut up lintian.
  * Bump Standards-Version to 4.6.1.
  * Update my Debian packaging copyright.

 -- Fabian Greffrath <fabian@debian.org>  Tue, 30 Aug 2022 22:54:43 +0200
