=== debian/changelog ===
chocolate-doom (3.0.1+really3.0.0+git1471-1) unstable; urgency=medium

  * update debian/watch file
  * New upstream version 3.0.1+really3.0.0+git1471

 -- Fabian Greffrath <fabian@debian.org>  Fri, 09 Dec 2022 22:24:18 +0100
