=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
  libsdl2-dev (>= 2.0.7),
  python3,
  python3-pil
-Standards-Version: 4.5.1
+Standards-Version: 4.6.1
 Vcs-Git: https://salsa.debian.org/games-team/chocolate-doom.git
 Vcs-Browser: https://salsa.debian.org/games-team/chocolate-doom
 Homepage: https://chocolate-doom.org/
