## chocolate-doom 3.0.1+really3.0.0+git1548

=== CMakeLists.txt ===
--- 
+++ 
@@ -15,7 +15,7 @@
 set(PACKAGE_BUGREPORT "chocolate-doom-dev-list@chocolate-doom.org")
 
 string(REGEX REPLACE " Doom$" "" PACKAGE_SHORTNAME "${PACKAGE_NAME}")
-set(PACKAGE_COPYRIGHT "Copyright (C) 1993-2022")
+set(PACKAGE_COPYRIGHT "Copyright (C) 1993-2023")
 set(PACKAGE_LICENSE "GNU General Public License, version 2")
 
 # Any settings that should apply to all targets in this directory and all
@@ -27,6 +27,9 @@
     add_compile_options("-Wall" "-Wdeclaration-after-statement"
                         "-Wredundant-decls")
 endif()
+
+option(CMAKE_FIND_PACKAGE_PREFER_CONFIG
+       "Lookup package config files before using find modules" On)
 
 option(ENABLE_SDL2_NET "Enable SDL2_net" On)
 option(ENABLE_SDL2_MIXER "Enable SDL2_mixer" On)
@@ -45,8 +48,8 @@
 endif()
 
 # Check for libsamplerate.
-find_package(samplerate)
-if(SAMPLERATE_FOUND)
+find_package(SampleRate)
+if(SampleRate_FOUND)
     set(HAVE_LIBSAMPLERATE TRUE)
 endif()
 
@@ -54,6 +57,12 @@
 find_package(PNG)
 if(PNG_FOUND)
     set(HAVE_LIBPNG TRUE)
+endif()
+
+# Check for FluidSynth.
+find_package(FluidSynth 2.2.0)
+if(FluidSynth_FOUND AND ENABLE_SDL2_MIXER)
+    set(HAVE_FLUIDSYNTH TRUE)
 endif()
 
 find_package(m)
