=== debian/changelog ===
chocolate-doom (3.0.1+really3.0.0+git1548-1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 16:37:37 +1100

chocolate-doom (3.0.1+really3.0.0+git1548-1build1) noble; urgency=medium

  * No-change rebuild against libpng16-16t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 29 Feb 2024 06:12:34 +0000

chocolate-doom (3.0.1+really3.0.0+git1548-1) unstable; urgency=medium

  * New upstream version 3.0.1+really3.0.0+git1548.
  * Bump Standards-Version to 4.6.2.
  * Bump my Debian copyright year to 2023.

 -- Fabian Greffrath <fabian@debian.org>  Tue, 13 Jun 2023 13:26:46 +0200
