=== opl/CMakeLists.txt ===
--- 
+++ 
@@ -14,5 +14,5 @@
                            PRIVATE "${CMAKE_CURRENT_BINARY_DIR}/../")
 target_link_libraries(opl SDL2::SDL2)
 if(ENABLE_SDL2_MIXER)
-    target_link_libraries(opl SDL2::mixer)
+    target_link_libraries(opl SDL2_mixer::SDL2_mixer)
 endif()
