=== src/strife/CMakeLists.txt ===
--- 
+++ 
@@ -72,8 +72,8 @@
 target_include_directories(strife PRIVATE "../" "../../win32/" "${CMAKE_CURRENT_BINARY_DIR}/../../")
 target_link_libraries(strife textscreen SDL2::SDL2)
 if(ENABLE_SDL2_MIXER)
-    target_link_libraries(strife SDL2::mixer)
+    target_link_libraries(strife SDL2_mixer::SDL2_mixer)
 endif()
 if(ENABLE_SDL2_NET)
-    target_link_libraries(strife SDL2::net)
+    target_link_libraries(strife SDL2_net::SDL2_net)
 endif()
