=== debian/changelog ===
chocolate-doom (3.1.0-1) unstable; urgency=medium

  * Update Homepage link (Closes: #1043984)
  * New upstream version 3.1.0
  * Bump Standards-Version to 4.7.0
  * Update my Debian packaging copyright

 -- Fabian Greffrath <fabian@debian.org>  Tue, 06 Aug 2024 08:38:37 +0200
