=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: chocolate-doom
 Section: games
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
+Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
 Uploaders: Fabian Greffrath <fabian@debian.org>
 Build-Depends:
  debhelper-compat (= 13),
@@ -14,10 +13,10 @@
  libsdl2-dev (>= 2.0.7),
  python3,
  python3-pil
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Git: https://salsa.debian.org/games-team/chocolate-doom.git
 Vcs-Browser: https://salsa.debian.org/games-team/chocolate-doom
-Homepage: https://chocolate-doom.org/
+Homepage: https://www.chocolate-doom.org
 Rules-Requires-Root: no
 
 Package: chocolate-doom
